aboutsummaryrefslogtreecommitdiffstats
path: root/x11/libxft/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-03-27 19:45:24 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-03-27 19:45:24 +0000
commit28efe0bee323990940723b27dd8786e0b4a9cccb (patch)
tree80cde7c6f9e6c3dc3e48a1c1a8918bd73a2cee2a /x11/libxft/APKBUILD
parent7a93f9dac865ace372f880fe6ad2d9d5de840040 (diff)
downloadaports-28efe0bee323990940723b27dd8786e0b4a9cccb.tar.gz
aports-28efe0bee323990940723b27dd8786e0b4a9cccb.tar.bz2
aports-28efe0bee323990940723b27dd8786e0b4a9cccb.tar.xz
x11/libxft: new aport
FreeType-based font drawing library for X
Diffstat (limited to 'x11/libxft/APKBUILD')
-rw-r--r--x11/libxft/APKBUILD21
1 files changed, 21 insertions, 0 deletions
diff --git a/x11/libxft/APKBUILD b/x11/libxft/APKBUILD
new file mode 100644
index 0000000000..372594bc92
--- /dev/null
+++ b/x11/libxft/APKBUILD
@@ -0,0 +1,21 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxft
+pkgver=2.1.13
+pkgrel=0
+pkgdesc="FreeType-based font drawing library for X"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="fontconfig libxrender uclibc freetype"
+makedepends="pkgconfig fontconfig-dev libxrender-dev freetype-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXft-$pkgver.tar.bz2"
+depends_dev="xproto libxrender-dev fontconfig-dev freetype-dev"
+build () {
+ cd "$srcdir"/libXft-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="bc8881851f3bd8dcc625fac37350a1c6 libXft-2.1.13.tar.bz2"